Subject: Re: [PATCH] dircolors: add *direct* to TERM matching

From: nl6720 <[email-masked]>
Date: Fri, 28 Feb 2020 20:17:04 +0200

On Friday, 28 February 2020 19:00:36 EET L A Walsh wrote:
> xterm-TrueColor
> and xterm-24bit
> I've heard of, but direct?  Isn't that a direct serial line
> connection?
> 
> But suffice it to say, I haven't seen any _concensus_ on a name
> or terminal-name for that feature.
> 
> Certainly TrueColor or 24-bit (or maybe 32) would be more descriptive
> that something used for a direct connetion?
> 

That's the term I found in
https://invisible-island.net/ncurses/ncurses.faq.html#xterm_16MegaColors
and https://invisible-island.net/xterm/terminfo.html (search for the phrase 
"direct color").

The point of this patch is for dircolors to support TERM values like:
alacritty-direct
iterm2-direct
kitty-direct
konsole-direct
mintty-direct
mlterm-direct
nsterm-direct
st-direct
vscode-direct
vte-direct
xterm+direct
xterm+direct2
xterm+indirect
xterm-direct
xterm-direct2

Some of them are already matched by "xterm*", but that's beside the point.

> On 2020/02/28 01:07, nl6720 wrote:
> > * src/dircolors.hin: Add *direct* to match terminals that
> > support direct colors (24-bit color / TrueColor).
> 
> ---
>     Direct colors isn't an industry term that I've ever heard of.
> Besides, it takes about 13 bits per color to represent full color, so
> 16-bits seems likely as an upper bound using 64-bits total (upper 16 for
> alpha?).
> 
> > ---
> > 
> >  src/dircolors.hin | 1 +
> >  1 file changed, 1 insertion(+)
> > 
> > diff --git a/src/dircolors.hin b/src/dircolors.hin
> > index 8f795bc99..b22643dbb 100644
> > --- a/src/dircolors.hin
> > +++ b/src/dircolors.hin
> > @@ -17,6 +17,7 @@ TERM con[0-9]*x[0-9]*
> > 
> >  TERM cons25
> >  TERM console
> >  TERM cygwin
> > 
> > +TERM *direct*
> > 
> >  TERM dtterm
> >  TERM gnome
> >  TERM hurd